LinuxQMISDK: qaCbkCatEventReportInd.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Macros | Enumerations | Functions
qaCbkCatEventReportInd.h File Reference

Go to the source code of this file.

## Data Structures
struct | CatEventIDDataTlv
struct | CatAlPhaIdentifierTlv
struct | CatEventListTlv
struct | CatRefreshTlv
struct | CatEndProactiveSessionTlv
union | currentCatEvent
struct | CatCommonEventTlv
struct | QmiCbkCatEventStatusReportInd

## Macros
#define | QMI_MAX_CAT_EVENT_DATA_LENGTH 255
#define | QMI_CAN_COMMON_EVENT_TLV_NUMBER 11

## Enumerations
enum | eQMI_CAT_EVENT_REPORT_IND_TLV { eTLV_DISPLAY_TEXT = 0x10, eTLV_GET_IN_KEY = 0x11, eTLV_GET_INPUT = 0x12, eTLV_SETUP_MENU = 0x13, eTLV_SELECT_ITEM = 0x14, eTLV_ALPHA_IDENTIFIER = 0x15, eTLV_SETUP_EVENT_LIST = 0x16, eTLV_SETUP_IDLE_MODE_TEXT = 0x17, eTLV_LANGUAGE_NOTIFICATION = 0x18, eTLV_REFRESH = 0x19, eTLV_END_PROACTIVE_SESSION = 0x1A }
enum | eQMI_CAT_EVENT_REPORT_IND_TLV_LENGTH { eTLV_SETUP_EVENT_LIST_LENGTH = 0x04, eTLV_REFRESH_LENGTH = 0x03, eTLV_END_PROACTIVE_SESSION_LENGTH = 0x01 }

## Functions
enum eQCWWANError | UpkQmiCbkCatEventReportInd (BYTE *pMdmResp, struct QmiCbkCatEventStatusReportInd *pAipResp)

## Macro Definition Documentation

#define QMI_CAN_COMMON_EVENT_TLV_NUMBER 11

#define QMI_MAX_CAT_EVENT_DATA_LENGTH 255

## Enumeration Type Documentation

enum eQMI_CAT_EVENT_REPORT_IND_TLV

Enumerator
eTLV_DISPLAY_TEXT |
eTLV_GET_IN_KEY |
eTLV_GET_INPUT |
eTLV_SETUP_MENU |
eTLV_SELECT_ITEM |
eTLV_ALPHA_IDENTIFIER |
eTLV_SETUP_EVENT_LIST |
eTLV_SETUP_IDLE_MODE_TEXT |
eTLV_LANGUAGE_NOTIFICATION |
eTLV_REFRESH |
eTLV_END_PROACTIVE_SESSION |

enum eQMI_CAT_EVENT_REPORT_IND_TLV_LENGTH

Enumerator
eTLV_SETUP_EVENT_LIST_LENGTH |
eTLV_REFRESH_LENGTH |
eTLV_END_PROACTIVE_SESSION_LENGTH |

## Function Documentation

enum eQCWWANError UpkQmiCbkCatEventReportInd | ( | BYTE * | pMdmResp,
|  | struct QmiCbkCatEventStatusReportInd * | pAipResp
| ) |  |